
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define release 2%{dist}

%define name         vstsdk
%define version      2.3

Summary:	VST Audio Plug-Ins SDK
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	see LICENSE
Group:		Sound
URL:		http://ygrabit.steinberg.de/users/ygrabit/public_html/index.html
#Source0:        vst_sdk2_3.zip
Source0:        vstsdk2.3.zip
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
What is a VST Plug-In?

In the widest possible sense a VST Plug-In is an audio process. A VST Plug-In
is not an application. It needs a host application that handles the audio
streams and makes use of the process the VST Plug-In supplies.

Generally speaking, it can take a stream of audio data, apply a process to the
audio and send the result back the host application. A VST Plug-In performs its
process normally using the processor of the computer, it does not necessarily
need dedicated digital signal processors. The audio stream is broken down into
a series of blocks. The host supplies the blocks in sequence. The host and its
current environment control the block-size. The VST Plug-In maintains all
parameters statuses that refer to the running process: The host does not
maintain any information about what the Plug-In did with the last block of data
it processed.

From the host application?s point of view, a VST Plug-In is a black box with an
arbitrary number of inputs, outputs (Midi or Audio), and associated parameters.
The Host needs no knowledge of the Plug-In process to be able to use it.

The Plug-In process can use whatever parameters it wishes, internally to the
process, but it can choose to allow the changes to user parameters to be
automated by the host, if the host application wishes to do so.

'VST is a trademark of Steinberg Media Technologies GmbH'
 - VST PlugIn Technology by Steinberg Media Technologies GmbH,
 - VST PlugIn Interface Technology by Steinberg Media Technologies GmbH

%prep
unzip %{SOURCE0}
#unzip vstsdk2.3

 
%install
cd vstsdk2.3
mkdir -p  %{buildroot}%{_includedir}/vst
install -m 644 source/common/*.*  %{buildroot}%{_includedir}/vst

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc vstsdk2.3/*.html 
%doc vstsdk2.3/doc
%{_includedir}/vst/*.*

%changelog
* Thu Dec 20 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Sun Sep 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.3-2
- Package all files in source.common not only two headers

* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.3-1
- Rebuild for pclos2007

* Fri May 19 2006 - r.neike@gmx.de 2.3-0.jacklab.1
- initial version for SuSE-10.1

